List all bank accounts
curl --request GET \
--url https://api-sandbox.argyle.com/v2/open-banking/bank-accounts \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api-sandbox.argyle.com/v2/open-banking/bank-accounts"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api-sandbox.argyle.com/v2/open-banking/bank-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": "8057637863",
"user": "01975b3b-5ba6-3ec1-2148-f595b6d92614",
"account_number_display": "2203",
"name": "Savings",
"type": "savings",
"aggregation_status_code": 0,
"status": "active",
"institution": "102168",
"aggregation_success_date": "2026-06-04T16:57:26.000Z",
"aggregation_attempt_date": "2026-06-04T16:57:26.000Z",
"created_date": "2026-06-04T16:57:17.000Z",
"currency": "USD",
"institution_login": 8029158291,
"display_position": 1,
"parent_bank_account": null,
"linked_account_date": "2026-06-04T16:57:22.000Z",
"error_code": null,
"error_message": null,
"real_account_number_last4": "2203",
"balance": 22327.3,
"balance_date": "2026-06-04T16:57:26.000Z",
"last_updated_date": "2026-06-04T16:57:22.000Z",
"market_segment": "personal",
"last_transaction_date": "2026-06-04T16:57:23.000Z",
"oldest_transaction_date": "2024-06-08T12:00:00.000Z"
},
{
"id": "8057637864",
"user": "01975b3b-5ba6-3ec1-2148-f595b6d92614",
"account_number_display": "1111",
"name": "Checking",
"type": "checking",
"aggregation_status_code": 0,
"status": "active",
"institution": "102168",
"aggregation_success_date": "2026-06-04T16:57:27.000Z",
"aggregation_attempt_date": "2026-06-04T16:57:27.000Z",
"created_date": "2026-06-04T16:57:17.000Z",
"currency": "USD",
"institution_login": 8029158291,
"display_position": 2,
"parent_bank_account": null,
"linked_account_date": "2026-06-04T16:57:22.000Z",
"error_code": null,
"error_message": null,
"real_account_number_last4": "1111",
"balance": 9357.24,
"balance_date": "2026-06-04T16:57:27.000Z",
"last_updated_date": "2026-06-04T16:57:22.000Z",
"market_segment": "personal",
"last_transaction_date": "2026-06-04T16:57:25.000Z",
"oldest_transaction_date": "2024-06-08T12:00:00.000Z"
}
],
"next": "https://api-sandbox.argyle.com/v2/open-banking/bank-accounts?cursor=ZXhhbXBsZV9jdXJzb3I",
"previous": null
}Bank Accounts
List all bank accounts
Returns a paginated list of the user’s bank accounts.
GET
/
v2
/
open-banking
/
bank-accounts
List all bank accounts
Authorizations
Username = api_key_id, Password = api_key_secret
Query Parameters
ID of the user.
⌘I